Subject: bug#51390: 29.0.50; repeat-mode: Fails to repeat keys in global-map(?)

From: Juri Linkov <[email-masked]>
Date: Thu, 25 Nov 2021 09:54:52 +0200

>> This means that by default this behavior should be disabled.
>> But maybe a new variable should allow to skip this check:
>
> Yes,  you are right, it is disruptive.  Having tried the repeat-map I
> had in the OP for a while now, it is biting me in the back in the most
> unexpected times.  Maybe this is better left unimplemented?

This feature of checking the last key could be enabled per every keymap
using symbol properties.  Then you can disable it for one keymap,
while keeping enabled for all remaining keymaps.